
@import url('https://fonts.googleapis.com/css2?family=JetBrains+Mono:ital,wght@0,100..800;1,100..800&family=Lexend:wght@100..900&display=swap');

* {
    margin:0;
    padding: 0;
    box-sizing: border-box;

    font-family: 'Lexend', sans-serif;
    outline: none;

}

html, body {
    width: 100%;
    height: 100%;
    background: rgb(243, 181, 222);
}
.everything{
    
    width: 100%;
    height: 100%;
    padding: 1rem;
    display: flex;
    gap:1rem;
    background-image: url('https://4kwallpapers.com/images/wallpapers/vibrant-landscape-3840x2160-17436.jpg');
    background-size: cover;
    background-position: center;
}

.sidebar{

    height: 100%;
    flex: 1;
    display: flex;
    flex-direction: column;
    border: 1px solid #fff6;
    border-radius: 20px;
    overflow: hidden;
    box-shadow: 0 0 5px 5px #0006 ;
    border: 0.1rem solid rgba(255, 255, 255, 0.18);
    box-shadow: 0 8px 32px 0 rgba(31, 38, 135, 0.37);
    background: rgba(255, 255, 255, 0.25);
    backdrop-filter: blur(4px);
    -webkit-backdrop-filter: blur(4px);
}
.title{
    display: flex;
    align-items: center;
    font-weight: 700;
    font-size: 1.25rem;
}
.action{
    display: flex;
    align-items: center;
    gap:1rem;

}
.main-container{

    height: 100%;
    flex: 3;
    display: flex;
    flex-direction: column;
    border: 1px solid #fff6;
    border-radius: 20px;
    overflow: hidden;
    border: 0.1rem solid rgba(255, 255, 255, 0.18);
    box-shadow: 0 8px 32px 0 rgba(31, 38, 135, 0.37);
    background: rgba(255, 255, 255, 0.25);
    backdrop-filter: blur(4px);
    -webkit-backdrop-filter: blur(4px);
    

}
.code-container{
    padding: 1rem;
    flex: 1;
    border-top: 1px solid #fff6;
    
   
}
.code{
    width: 100%;
    height: 100%;
    border-radius: 10px;
    padding: 1rem;
    box-shadow: 0 0 5px 5px #0006 ;
    border: 0.1rem solid rgba(255, 255, 255, 0.18);
    box-shadow: 0 8px 32px 0 rgba(31, 38, 135, 0.37);
    background: rgba(255, 255, 255, 0.25);
    backdrop-filter: blur(4px);
    -webkit-backdrop-filter: blur(4px);
    font-family: 'JetBrains Mono', monospace;
    font-size: 1.25rem;
}
.header{
    display: flex;
    justify-content: space-between;
    min-height: 4rem;
    padding: 1rem 2rem;

}

.list{
    flex:1;
    padding: 1rem;
    border-top: 1px solid #fff6;
    display: flex;
    flex-direction: column;
    gap: 0.5rem;
    overflow: auto;
}


.glass-bg {
    border: 0.1rem solid rgba(255, 255, 255, 0.18);
    box-shadow: 0 8px 32px 0 rgba(31, 38, 135, 0.37);
    background: rgba(255, 255, 255, 0.25);
    backdrop-filter: blur(4px);
    -webkit-backdrop-filter: blur(4px);
}

.action > button{
    width: 2rem;
    aspect-ratio: 1;
    /* padding: 0px; */
    border-radius: 10px;
    border: 1px solid #fff6;
    border: 0.1rem solid rgba(255, 255, 255, 0.18);
    box-shadow: 0 8px 32px 0 rgba(31, 38, 135, 0.37);
    background: rgba(255, 255, 255, 0.25);
    backdrop-filter: blur(4px);
    -webkit-backdrop-filter: blur(4px);
    
    
}
.sbb{
    
    width: 100%;
    height: 2rem;
    /* aspect-ratio: 1; */
    padding: 1rem;
    display: flex;
    justify-content: start;
    align-items: center;
    font-size: 1rem;
    cursor: pointer;
    border-radius: 10px;
    border: 1px solid #fff6;
    border: 0.1rem solid rgba(255, 255, 255, 0.18);
    /* box-shadow: 0 8px 32px 0 rgba(31, 38, 135, 0.37); */
    background: rgba(255, 255, 255, 0);
    -webkit-backdrop-filter: blur(4px);
    backdrop-filter: blur(4px);
    /* overflow-x: auto;
    overflow-y: hidden; */
    overflow: hidden;
}

*::-webkit-scrollbar {
    width: 0rem;
    height: 0rem;
}